Bug 224617 - devel/include-what-you-use: switch to llvm50
Summary: devel/include-what-you-use: switch to llvm50
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch, patch-ready
Depends on: 224591
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-27 15:34 UTC by Jan Beich
Modified: 2018-01-31 20:58 UTC (History)
0 users

See Also:


Attachments
v0 (2.04 KB, patch)
2017-12-27 15:34 UTC, Jan Beich
no flags Details | Diff
v0.1 (2.23 KB, patch)
2017-12-27 15:40 UTC, Jan Beich
jbeich: maintainer-approval? (koobs)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-12-27 15:34:53 UTC
Created attachment 189133 [details]
v0

Mesa, Beignet, gecko@, USES=compiler:c++14-lang already switched to devel/llvm50. Let's follow the suit. I'd like this to land before 2018Q1 branches.

Can you check runtime? Otherwise, builds fine on 10.3 i386/amd64, 11.1 i386/amd64, 12.0 amd64.
Comment 1 Jan Beich freebsd_committer 2017-12-27 15:40:20 UTC
Created attachment 189134 [details]
v0.1

Oops, bump PORTREVISION.
Comment 2 commit-hook freebsd_committer 2018-01-29 11:11:38 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jan 29 11:11:03 UTC 2018
New revision: 460253
URL: https://svnweb.freebsd.org/changeset/ports/460253

Log:
  devel/include-what-you-use: switch to llvm50 (like r457360)

  PR:		224617
  Approved by:	maintainer timeout (1 month)
  MFH:		2018Q1

Changes:
  head/devel/include-what-you-use/Makefile
  head/devel/include-what-you-use/distinfo
Comment 3 commit-hook freebsd_committer 2018-01-31 20:58:37 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jan 31 20:58:29 UTC 2018
New revision: 460529
URL: https://svnweb.freebsd.org/changeset/ports/460529

Log:
  MFH: r460253

  devel/include-what-you-use: switch to llvm50 (like r457360)

  PR:		224617
  Approved by:	maintainer timeout (1 month)
  Approved by:	ports-secteam (swills)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/devel/include-what-you-use/Makefile
  branches/2018Q1/devel/include-what-you-use/distinfo